Bug 71557 - [PATCH] x11-wm/pekwm: Update to 20040828 CVS snapshot
Summary: [PATCH] x11-wm/pekwm: Update to 20040828 CVS snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-10 14:30 UTC by Greg Juilfs
Modified: 2005-02-11 14:37 UTC (History)
0 users

See Also:


Attachments
pekwm.diff (4.99 KB, patch)
2004-09-10 14:30 UTC, Greg Juilfs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Juilfs 2004-09-10 14:30:28 UTC

Update to 20040828 CVS snapshot.. bug fixes & new features. Hosted on my website due to the way they name their CVS snapshot bz2 archives as pekwm-cvs.tar.bz2

Add USE_GCC=3.3 so it doesn't core on 4.x.. thanks to arundel at bsdforums.org for testing it on 4.10

I'm willing to be the maintainer of this port if it's ok.
Comment 1 Volker Stolz freebsd_committer 2004-12-16 10:31:37 UTC
State Changed
From-To: open->feedback

Do you mind if we keep the patch instead of the reinplace? 
Patches fail more loudly in case this changes in the future 
while reinplace will silently do nothing. Otherwise, this 
looks good. 


Comment 2 Volker Stolz freebsd_committer 2004-12-16 10:31:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll track this
Comment 3 Greg Juilfs 2004-12-17 13:10:21 UTC
Sure.. keeping the patch would work. Thanks.
Comment 4 Greg Juilfs 2004-12-21 15:45:06 UTC
Revised patch is at http://bsd-unix.org/downloads/pekwm.diff

I kept the patch file.. and also added USE_AUTOCONF_VER=259.
Comment 5 Volker Stolz freebsd_committer 2004-12-21 16:51:27 UTC
Just one question: How to you plan to treat versioning (PORTVERSION) when  
the next version, e.g.
0.14 or 1.0 or whatever is released?

Volker
Comment 6 Greg Juilfs 2004-12-22 13:54:54 UTC
I was planning on using the date. For example.. if 0.1.4 gets released 
on Jan 1st, 2005.. it'd be 20050101. Maybe 0.1.3.040828 would be a 
better idea.

Would that be OK? Or would it be better to create a pekwm-devel port?
Comment 7 Volker Stolz freebsd_committer 2005-02-11 14:36:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks! I had completely forgotten about this one.